diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
index bb5d4c20e..a5109041b 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandHelp.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.CommandDispatcher;
 import com.mojang.brigadier.ParseResults;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.lang.I18n;
@@ -18,7 +18,7 @@ public class CommandHelp implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.help.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> commandDispatcher) {
-        commandDispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("help")
+        commandDispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("help")
             .executes(c -> {
                 CommandSource source = c.getSource();
                 Map<CommandNode<CommandSource>, String> map = commandDispatcher.getSmartUsage(commandDispatcher.getRoot(), source);
@@ -31,9 +31,9 @@ public class CommandHelp implements CommandManager.CommandRegistry {
                 }
                 return map.size();
             })
-            .then(RequiredArgumentBuilder.<CommandSource, String>argument("command", StringArgumentType.greedyString())
+            .then(ArgumentBuilderRequired.<CommandSource, String>argument("command", ArgumentTypeString.greedyString())
                 .executes(commandContext -> {
-                    ParseResults<CommandSource> parseResults = commandDispatcher.parse(StringArgumentType.getString(commandContext, "command"), commandContext.getSource());
+                    ParseResults<CommandSource> parseResults = commandDispatcher.parse(ArgumentTypeString.getString(commandContext, "command"), commandContext.getSource());
                     if (parseResults.getContext().getNodes().isEmpty()) {
                         throw FAILURE.create();
                     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
index 7b04917c5..d3dce5ee7 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandKill.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
@@ -22,7 +22,7 @@ public class CommandKill implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.kill.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("kill")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("kill")
                 .requires(CommandSource::hasAdmin)
                 .executes(c -> {
                     CommandSource source = c.getSource();
@@ -36,7 +36,7 @@ public class CommandKill implements CommandManager.CommandRegistry {
 
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("entities", ArgumentTypeEntity.entities())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("entities", EntitySelector.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
index c7ce6318d..114199979 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMessage.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -20,30 +20,31 @@ import java.util.List;
 
 public class CommandMessage implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("message")
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("message")
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.usernames())
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("message", ArgumentTypeString.greedyString())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     EntitySelector entitySelector = c.getArgument("targets", EntitySelector.class);
                                     String message = c.getArgument("message", String.class);
 
-                                    String senderName = source.getName();
+                                    if(source.getSender() == null) return 0;
+                                    String senderName = source.getSender().getDisplayName();
 
                                     List<? extends Entity> players = entitySelector.get(source);
 
                                     for (Entity player : players) {
-                                        source.sendMessage(TextFormatting.LIGHT_GRAY.toString() + TextFormatting.ITALIC.toString() + I18n.getInstance().translateKeyAndFormat("command.commands.message.outgoing", LoggedPrintStream.removeColorCodes(((Player)player).getDisplayName()), message));
-                                        source.sendMessage((Player)player, TextFormatting.LIGHT_GRAY + (TextFormatting.ITALIC + I18n.getInstance().translateKeyAndFormat("command.commands.message.incoming", senderName, message)));
+                                        source.sendMessage(TextFormatting.LIGHT_GRAY.toString() + TextFormatting.ITALIC.toString() + I18n.getInstance().translateKeyAndFormat("command.commands.message.outgoing", TextFormatting.removeAllFormatting(((Player)player).getDisplayName()), message));
+                                        source.sendMessage((Player)player, TextFormatting.LIGHT_GRAY + (TextFormatting.ITALIC + I18n.getInstance().translateKeyAndFormat("command.commands.message.incoming", TextFormatting.removeAllFormatting(senderName), message)));
                                     }
 
                                     return Command.SINGLE_SUCCESS;
                                 }))));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("msg")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("msg")
                 .redirect(command));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("whisper")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("whisper")
                 .redirect(command));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("tell")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("tell")
                 .redirect(command));
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
index 85fcf50b8..edcb3581b 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.BoolArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeBool;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
@@ -25,9 +25,9 @@ public class CommandMobSpawning implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("mobspawning")
+                ArgumentBuilderLiteral.<CommandSource>literal("mobspawning")
                     .requires(CommandSource::hasAdmin)
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("list").executes(c -> {
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("list").executes(c -> {
                         Collection<NamespaceID> ids = EntityDispatcher.idToClassMap.keySet();
                         World world = c.getSource().getWorld();
                         SpawnerConfig config = world.getSpawnerConfig();
@@ -39,9 +39,9 @@ public class CommandMobSpawning implements CommandManager.CommandRegistry {
 
                         return Command.SINGLE_SUCCESS;
                     }))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("set")
-                        .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
-                            .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("set")
+                        .then(ArgumentBuilderRequired.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
+                            .then(ArgumentBuilderRequired.<CommandSource, Boolean>argument("value", ArgumentTypeBool.bool())
                                 .executes(c -> {
                                     World world = c.getSource().getWorld();
                                     SpawnerConfig config = world.getSpawnerConfig();
@@ -52,8 +52,8 @@ public class CommandMobSpawning implements CommandManager.CommandRegistry {
                                     c.getSource().sendTranslatableMessage("command.commands.mobspawning.set", mobId, value);
                         return Command.SINGLE_SUCCESS;
                     }))))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("passive")
-                        .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("passive")
+                        .then(ArgumentBuilderRequired.<CommandSource, Boolean>argument("value", ArgumentTypeBool.bool())
                             .executes(c -> {
                                 World world = c.getSource().getWorld();
                                 SpawnerConfig config = world.getSpawnerConfig();
@@ -63,8 +63,8 @@ public class CommandMobSpawning implements CommandManager.CommandRegistry {
                                 c.getSource().sendTranslatableMessage("command.commands.mobspawning.passive", value);
                                 return Command.SINGLE_SUCCESS;
                             })))
-                    .then(LiteralArgumentBuilder.<CommandSource>literal("hostile")
-                        .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
+                    .then(ArgumentBuilderLiteral.<CommandSource>literal("hostile")
+                        .then(ArgumentBuilderRequired.<CommandSource, Boolean>argument("value", ArgumentTypeBool.bool())
                             .executes(c -> {
                                 World world = c.getSource().getWorld();
                                 SpawnerConfig config = world.getSpawnerConfig();
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandParticle.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandParticle.java
index b16f9178b..ae05993a8 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandParticle.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandParticle.java
@@ -2,10 +2,10 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.DoubleArgumentType;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeDouble;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandManager;
@@ -23,9 +23,9 @@ public class CommandParticle implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("particle")
+                ArgumentBuilderLiteral.<CommandSource>literal("particle")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("particleId", ArgumentTypeParticleId.particleId())
+                    .then(ArgumentBuilderRequired.<CommandSource, String>argument("particleId", ArgumentTypeParticleId.particleId())
                         .executes(c -> {
                             String particleId = c.getArgument("particleId", String.class);
                             Player player = c.getSource().getSender();
@@ -34,7 +34,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
+                        .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                             .executes(c -> {
                                 String particleId = c.getArgument("particleId", String.class);
                                 DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -42,7 +42,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
 
                                 return Command.SINGLE_SUCCESS;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
+                            .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String particleId = c.getArgument("particleId", String.class);
                                     DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -53,7 +53,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                                         motion.getX(0), motion.getY(0), motion.getZ(0), particleId, null, null);
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("data", IntegerArgumentType.integer())
+                                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("data", ArgumentTypeInteger.integer())
                                     .executes(c -> {
                                         String particleId = c.getArgument("particleId", String.class);
                                         DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -65,7 +65,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                                             motion.getX(0), motion.getY(0), motion.getZ(0), particleId, data, null);
                                         return Command.SINGLE_SUCCESS;
                                     })
-                                    .then(RequiredArgumentBuilder.<CommandSource, Double>argument("maxDistance", DoubleArgumentType.doubleArg())
+                                    .then(ArgumentBuilderRequired.<CommandSource, Double>argument("maxDistance", ArgumentTypeDouble.doubleArg())
                                         .executes(c -> {
                                             String particleId = c.getArgument("particleId", String.class);
                                             DoubleCoordinates pos = c.getArgument("position", DoubleCoordinates.class);
@@ -81,7 +81,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                                 )
                             )
                         )
-                        .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
+                        .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
                             .executes(c -> {
                                 String particleId = c.getArgument("particleId", String.class);
                                 EntitySelector selector = c.getArgument("target", EntitySelector.class);
@@ -92,7 +92,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
 
                                 return Command.SINGLE_SUCCESS;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
+                            .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("motion", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String particleId = c.getArgument("particleId", String.class);
                                     DoubleCoordinates motion = c.getArgument("motion", DoubleCoordinates.class);
@@ -104,7 +104,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                                     }
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("data", IntegerArgumentType.integer())
+                                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("data", ArgumentTypeInteger.integer())
                                     .executes(c -> {
                                         String particleId = c.getArgument("particleId", String.class);
                                         DoubleCoordinates motion = c.getArgument("motion", DoubleCoordinates.class);
@@ -117,7 +117,7 @@ public class CommandParticle implements CommandManager.CommandRegistry {
                                         }
                                         return Command.SINGLE_SUCCESS;
                                     })
-                                    .then(RequiredArgumentBuilder.<CommandSource, Double>argument("maxDistance", DoubleArgumentType.doubleArg())
+                                    .then(ArgumentBuilderRequired.<CommandSource, Double>argument("maxDistance", ArgumentTypeDouble.doubleArg())
                                         .executes(c -> {
                                             String particleId = c.getArgument("particleId", String.class);
                                             DoubleCoordinates motion = c.getArgument("motion", DoubleCoordinates.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
index 8548bf1b3..7ea83be8e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.lang.I18n;
@@ -21,10 +21,10 @@ public class CommandPlace implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.place.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("place")
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("place")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, WorldFeature>argument("feature", ArgumentTypeWorldFeature.worldFeature())
-                        .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(ArgumentBuilderRequired.<CommandSource, WorldFeature>argument("feature", ArgumentTypeWorldFeature.worldFeature())
+                        .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     WorldFeature feature = c.getArgument("feature", WorldFeature.class);
@@ -48,10 +48,10 @@ public class CommandPlace implements CommandManager.CommandRegistry {
                                     }
                                     return Command.SINGLE_SUCCESS;
                                 }))));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("generate")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("generate")
                 .requires(CommandSource::hasAdmin)
                 .redirect(command));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("gen")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("gen")
                 .requires(CommandSource::hasAdmin)
                 .redirect(command));
     }
